DVDRWFORMAT
PKGCONFIG
QMAKE
-QMAKEQT4
GMAKE
WXCONFIG
WXFLAGS
fi
-# Extract the first word of "qmake-qt4", so it can be a program name with args.
-set dummy qmake-qt4; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_QMAKEQT4+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- case $QMAKEQT4 in
- [\\/]* | ?:[\\/]*)
- ac_cv_path_QMAKEQT4="$QMAKEQT4" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
- ac_cv_path_QMAKEQT4="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
-done
-done
-IFS=$as_save_IFS
-
- test -z "$ac_cv_path_QMAKEQT4" && ac_cv_path_QMAKEQT4="none"
- ;;
-esac
-fi
-QMAKEQT4=$ac_cv_path_QMAKEQT4
-if test -n "$QMAKEQT4"; then
- { echo "$as_me:$LINENO: result: $QMAKEQT4" >&5
-echo "${ECHO_T}$QMAKEQT4" >&6; }
-else
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-
# Extract the first word of "gmake", so it can be a program name with args.
set dummy gmake; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
else
lt_cv_nm_interface="BSD nm"
echo "int some_variable = 0;" > conftest.$ac_ext
- (eval echo "\"\$as_me:5992: $ac_compile\"" >&5)
+ (eval echo "\"\$as_me:5950: $ac_compile\"" >&5)
(eval "$ac_compile" 2>conftest.err)
cat conftest.err >&5
- (eval echo "\"\$as_me:5995: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+ (eval echo "\"\$as_me:5953: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
(eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
cat conftest.err >&5
- (eval echo "\"\$as_me:5998: output\"" >&5)
+ (eval echo "\"\$as_me:5956: output\"" >&5)
cat conftest.out >&5
if $GREP 'External.*some_variable' conftest.out > /dev/null; then
lt_cv_nm_interface="MS dumpbin"
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 7219 "configure"' > conftest.$ac_ext
+ echo '#line 7177 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9434: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9392: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:9438: \$? = $ac_status" >&5
+ echo "$as_me:9396: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9773: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9731: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:9777: \$? = $ac_status" >&5
+ echo "$as_me:9735: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9878: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9836: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9882: \$? = $ac_status" >&5
+ echo "$as_me:9840: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9933: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9891: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9937: \$? = $ac_status" >&5
+ echo "$as_me:9895: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 12689 "configure"
+#line 12647 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 12785 "configure"
+#line 12743 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14797: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14755: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14801: \$? = $ac_status" >&5
+ echo "$as_me:14759: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14896: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14854: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14900: \$? = $ac_status" >&5
+ echo "$as_me:14858: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14948: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14906: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14952: \$? = $ac_status" >&5
+ echo "$as_me:14910: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
DVDRWFORMAT!$DVDRWFORMAT$ac_delim
PKGCONFIG!$PKGCONFIG$ac_delim
QMAKE!$QMAKE$ac_delim
-QMAKEQT4!$QMAKEQT4$ac_delim
GMAKE!$GMAKE$ac_delim
WXCONFIG!$WXCONFIG$ac_delim
WXFLAGS!$WXFLAGS$ac_delim
MAKE_SHELL!$MAKE_SHELL$ac_delim
LOCAL_LIBS!$LOCAL_LIBS$ac_delim
LOCAL_CFLAGS!$LOCAL_CFLAGS$ac_delim
+LOCAL_LDFLAGS!$LOCAL_LDFLAGS$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 94; then
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
-LOCAL_LDFLAGS!$LOCAL_LDFLAGS$ac_delim
LOCAL_DEFS!$LOCAL_DEFS$ac_delim
LIBTOOL!$LIBTOOL$ac_delim
build!$build$ac_delim
QWT_LIB!$QWT_LIB$ac_delim
QWT!$QWT$ac_delim
WXCONS_CPPFLAGS!$WXCONS_CPPFLAGS$ac_delim
+WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
-WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
WX_DIR!$WX_DIR$ac_delim
TRAY_MONITOR_CPPFLAGS!$TRAY_MONITOR_CPPFLAGS$ac_delim
TRAY_MONITOR_LDFLAGS!$TRAY_MONITOR_LDFLAGS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 93; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 92; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
if test "${support_bat}" = "yes" ; then
- if test "x$QMAKE" = "xnone" && test "x$QMAKEQT4" = "xnone"; then
- { { echo "$as_me:$LINENO: error: Could not find qmake or qmake-qt4 in $PATH. Check your Qt installation" >&5
-echo "$as_me: error: Could not find qmake or qmake-qt4 in $PATH. Check your Qt installation" >&2;}
+ if test "x$QMAKE" = "xnone"; then
+ { { echo "$as_me:$LINENO: error: Could not find qmake $PATH. Check your Qt installation" >&5
+echo "$as_me: error: Could not find qmake $PATH. Check your Qt installation" >&2;}
{ (exit 1); exit 1; }; }
fi
QMAKEBIN="qmake"
-
- if test "x$QMAKEQT4" != "xnone"; then
- QMAKEBIN=qmake-qt4
- fi
-
cd src/qt-console
echo "Creating bat Makefile"
touch bat
chmod 755 bat
+ rm -f Makefile
$QMAKEBIN
${MAKE:-make} clean
cd ${BUILD_DIR}